Name:           octave-signal
Version:        1.0
Release:        alt2.M51.1
Summary:        Functions for signal processing contributed to Octave
Packager:	Paul Wolneykien <manowar@altlinux.ru>

Group:		Sciences/Mathematics
License:        GPLv2+ and Public Domain
URL:            http://octave.sourceforge.net/

Source0:        signal.tar.gz
Source1:        irsa.tar.gz
Source2:        image.tar.gz
Source3:        communications.tar.gz

Patch0:		hdf5-include.patch
Patch1:		communications-hdf5-args.patch

Requires:	%name-base %name-common

BuildRequires: gcc-c++ gcc-fortran libfftw3-devel libhdf5-devel libjpeg-devel liblapack-devel libncurses-devel libpng-devel libreadline-devel octave-devel

%description
Octave-forge is a community project for collaborative development of
Octave extensions. This meta-package for signal processing tasks
includes:

 - octave-signal-base -- basic data types and functions for signal
   processing;

 - octave-signal-common -- types and functions for processing of
   stationary two-dimensional signals (images) and irregular sampling
   analysis.

%package base
Group:		Sciences/Mathematics
Requires:	octave(optim) >= 1.0.0
Provides: 	octave(communications) = 1.0.8
Provides:	octave(signal) = 1.0.8
Summary: Base functions for signal processing contributed to Octave

%description base
Octave-forge is a community project for collaborative development of
Octave extensions. The extensions in this package include additional
data types, and functions for signal processing applications, including:

  - signal-v1.0.8 -- signal processing tools, including filtering,
    windowing and display functions;

  - communications-v1.0.8 -- digital communications, error correcting
    codes (channel code), source code functions, modulation and Galois
    fields.

%package common
Group:		Sciences/Mathematics
Provides: octave(image) = 1.0.8
Provides: octave(irsa) = 1.0.6
Summary: Common functions for signal processing contributed to Octave

%description common
Octave-forge is a community project for collaborative development of
Octave extensions. The extensions in this package include additional
data types, and functions for signal processing applications, including:

  - irsa-v1.0.6 -- irregular sampling analysis;

  - image-v1.0.8 -- reading, writing, and processing images (including
    feature extraction, image statistics, spatial and geometric
    transformations, morphological operations, linear filtering).

%prep
%setup -c -b1 -b2 -b3
%patch0 -p1
%patch1 -p1

%build
for dir in signal irsa image communications; do
    pushd $dir
    %configure
    make TMPDIR=%{_tmppath}
    popd
done

%install
for dir in signal irsa image communications; do
    pushd $dir
    make install TMPDIR=%{_tmppath} DESTDIR=$RPM_BUILD_ROOT DISTPKG=rpm
    popd
done

mkdir -p -m 0755 %buildroot%{_datadir}/octave/packages/irsa-1.0.6/doc %buildroot%{_docdir}/octave-forge
mv %buildroot%{_datadir}/octave/packages/irsa-1.0.6/doc %buildroot%{_docdir}/octave-forge/irsa-1.0.6

%post base
octave -q -H --no-site-file --eval "pkg('rebuild');"

%post common
octave -q -H --no-site-file --eval "pkg('rebuild');"

%postun base
octave -q -H --no-site-file --eval "pkg('rebuild');"

%postun common
octave -q -H --no-site-file --eval "pkg('rebuild');"

%files base
%{_datadir}/octave/packages/signal-1.0.8/*
%{_libdir}/octave/packages/signal-1.0.8/*
%{_datadir}/octave/packages/communications-1.0.8/*
%{_libdir}/octave/packages/communications-1.0.8/*
%exclude %{_datadir}/octave/packages/communications-1.0.8/doc/comms.t*xi

%files common
%{_datadir}/octave/packages/image-1.0.8/*
%{_libdir}/octave/packages/image-1.0.8/*
%{_datadir}/octave/packages/irsa-1.0.6/*
%{_docdir}/octave-forge/irsa-1.0.6/*

%changelog
* Thu Jan 28 2010 Paul Wolneykien <manowar@altlinux.ru> 1.0-alt2.M51.1
- Release 1 for the branch 5.1.

* Thu Jan 28 2010 Paul Wolneykien <manowar@altlinux.ru> 1.0-alt3
- Use non-statnard inclde path for libhdf5.
- Add auxiliary arguments for hdf5 create/open functions (communications
  package).

* Wed Dec 10 2008 Paul Wolneykien <manowar@altlinux.ru> 1.0-alt2
- Split package to 'base' and 'common' parts.

* Tue Nov 25 2008 Paul Wolneykien <manowar@altlinux.ru> 1.0-alt1
- Initial build for ALTLinux
